Bug 137598 - Kickstart complains about partitioning problems.
Kickstart complains about partitioning problems.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: parted (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2004-10-29 14:55 EDT by Tim Skirvin
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-06 17:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Skirvin 2004-10-29 14:55:28 EDT
Description of problem:

My kickstart setup is currently working flawlessly, except that on
some systems we get a warning message regarding partition tables being
misaligned.  These error messages persist across multiple Linux
installs; the only program touching the partition tables is sfdisk. 
They don't appear to do anything 

Version-Release number of selected component (if applicable):

RHEL3 Desktop, though it has been observed on older systems.

How reproducible:

It only occurs on some systems, and with some hard drive setups.  Our
general setup is a 20GB system disk, and a 120GB scratch disk; the
scratch disk is ignored by the kickstart setup.  

Steps to Reproduce:
1.  Start kickstart setup.
2.  Wait until after it's found its DHCP address and starts
    to partition the system.
3.  Error message pops up.
Actual results:

"Unable to align partition correctly.  This
probably means that another partitioning tool
generated an incorrect partition table, because
it didn't have the correct BIOS geometry.  It is
safe to ignore, but ignoring may cause (fixable) 
problems with some bootloaders."

Expected results:

This error message shouldn't pop up.

Additional info:

It *may* be related to moving jumpers around on the systems; at least
once we have been able to avoid the problem by reseating a jumper,
anyway.  This doesn't make logical sense to me.

Anyway, I would like some way to ignore "warning" messages like this
in kickstart.
Comment 1 Jeremy Katz 2005-07-06 17:59:41 EDT
Usually it is caused by the BIOS providing a view that's inconsistent with what
the partition tables have on them.  You can work around by using %part
--initlabel in your ks.cfg although note that this will remove all data on the

Note You need to log in before you can comment on or make changes to this bug.